package com.altimetrik.ee.demo.controller;

import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/")
@CrossOrigin
public class Default {

	@GetMapping(value = "/", produces = { "text/html" }, consumes = MediaType.ALL_VALUE)
	public ResponseEntity<String> getUserDetailByGitlabEmailId() {
		String data = "Welcome to Playground Engineering Environment";
		return new ResponseEntity<>(data, HttpStatus.OK);
	}

}
