package com.altimetrik.ee.demo.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.altimetrik.ee.demo.bean.PairedComponentDetailsBean;
import com.altimetrik.ee.demo.service.ComponentDetailsService;

@Service
public class ComponentDetailsServiceImpl implements ComponentDetailsService {

	protected static Logger logger = LoggerFactory.getLogger(ComponentDetailsServiceImpl.class.getName());

	@Value("${spring.application.name}")
	private String applicationName;

	@Override
	public PairedComponentDetailsBean findAll(final String applicationName) {
		final PairedComponentDetailsBean pairedComponentDetails = new PairedComponentDetailsBean(applicationName,
				applicationName);
		return pairedComponentDetails;
	}

}
